Prometheus API
Evaluates an instant query at a single point in time
get
/api/prometheus/api/v1/queryParameters 5
queryqueryrequiredPromQL expression to evaluate.
string
timequeryEvaluation timestamp. Defaults to the current server time when omitted.
stringformat
"rfc3339 | unix_timestamp"timeoutqueryPer-query timeout, clamped to the server-configured maximum.
stringformat
"duration"limitqueryMaximum number of returned series. Defaults to and is capped at the server-configured maximum.
integerformat
"int64"minimum 1datasetqueryDataset to query. Defaults to the organization's default dataset.
References Dataset
Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.
stringpattern
"^[a-zA-Z0-9_-]{3,26}$"bash
Sample request12curl --request GET 'https://api.eu-west-1.aws.dash0.com/api/prometheus/api/v1/query?query=up' \--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}"
Responses
Evaluated instant query at a single point in time.
References PrometheusQueryResponse
stringrequired
string[]
string[]
Info-level annotations produced while evaluating the query (Prometheus 3.0+),
kept separate from warnings.